<?xml version="1.0" encoding="UTF-8" ?>
<Fields>
    <Field id="00" presence="Mandatory" format="N" length="2" name="ID">
    </Field>
    <Field id="01" presence="Optional" format="N" length="2" name="Method">
    </Field>
    <Field id="28" presence="Mandatory" format="ans" length="0-99" name="Merchant Info">
        <Field id="00" presence="Mandatory" format="ans" length="0-32" name="merchant switch GUID">
        </Field>
        <Field id="01" presence="Optional" format="S" length="0-99" name="merchant acquirer id">
        </Field>
        <Field id="02" presence="Optional" format="S" length="0-99" name="merchant account id">
        </Field>
    </Field>
    <Field id="26" presence="Mandatory" format="ans" length="0-99" name="Merchant Info">
        <Field id="00" presence="Mandatory" format="ans" length="0-32" name="merchant switch GUID">
        </Field>
        <Field id="01" presence="Optional" format="S" length="0-99" name="merchant acquirer id">
        </Field>
        <Field id="02" presence="Optional" format="S" length="0-99" name="merchant account id">
        </Field>
    </Field>
    <Field id="52" presence="Mandatory" format="N" length="4" name="merchant category code">
    </Field>
    <Field id="53" presence="Mandatory" format="N" length="3" name="transaction currency">
    </Field>
    <Field id="54" presence="Optional" format="ans" length="0-13" name="transaction amount">
    </Field>
    <Field id="55" presence="Optional" format="N" length="2" name="tip">
    </Field>
    <Field id="56" presence="Optional" format="ans" length="0-13" name="fixed convenience">
    </Field>
    <Field id="57" presence="Optional" format="ans" length="0-5" name="percentage convenience">
    </Field>
    <Field id="58" presence="Mandatory" format="ans" length="2" name="country code">
    </Field>
    <Field id="59" presence="Mandatory" format="ans" length="0-25" name="merchant name">
    </Field>
    <Field id="60" presence="Mandatory" format="ans" length="0-15" name="merchant city">
    </Field>
    <Field id="61" presence="Optional" format="ans" length="0-10" name="postal code">
    </Field>
    <Field id="62" presence="Optional" format="S" length="0-99" name="Additional Data Field Template">
        <Field id="01" presence="Optional" format="ans" length="0-25" name="bill number">
        </Field>
        <Field id="02" presence="Optional" format="ans" length="0-25" name="mobile number">
        </Field>
        <Field id="03" presence="Optional" format="ans" length="0-25" name="store label">
        </Field>
        <Field id="04" presence="Optional" format="ans" length="0-25" name="loyalty number">
        </Field>
        <Field id="05" presence="Optional" format="ans" length="0-25" name="reference label">
        </Field>
        <Field id="06" presence="Optional" format="ans" length="0-25" name="customer label">
        </Field>
        <Field id="07" presence="Optional" format="ans" length="0-25" name="terminal label">
        </Field>
        <Field id="08" presence="Optional" format="ans" length="0-25" name="purpose of transaction">
        </Field>
        <Field id="09" presence="Optional" format="ans" length="0-3" name="additional consumer data request">
        </Field>
        <Field id="10" presence="Optional" format="S" length="0-25" name="merchant tax information">
        </Field>
        <Field id="11" presence="Optional" format="S" length="0-25" name="merchant channel">
        </Field>
    </Field>
    <Field id="64" presence="Optional" format="S" length="0-99" name="additional language template">
        <Field id="00" presence="Optional" format="ans" length="2" name="language preference">
        </Field>
        <Field id="01" presence="Optional" format="S" length="0-25" name="merchant name alternate language">
        </Field>
        <Field id="02" presence="Optional" format="S" length="0-15" name="merchant city alternate language">
        </Field>
    </Field>
    <Field id="80" presence="Optional" format="S" length="0-99" name="QR date and time">
        <Field id="00" presence="Optional" format="S" length="0-32" name="qr date GUID">
        </Field>
        <Field id="01" presence="Optional" format="S" length="0-32" name="qr date">
        </Field>
    </Field>
    <Field id="63" presence="Mandatory" format="ans" length="4" name="cyclic dependency check">
    </Field>
</Fields>